import ddf.minim.*;
import ddf.minim.signals.*;

Minim minim;
AudioOutput out;
SineWave sine;
WhiteNoise noisy;

float amp = 0.5;
float freq = 200;
float SR = 44100;
int counter;

void setup()
{
size(512, 200);
// instantiate a Minim object
minim = new Minim(this);
// get a line out from Minim,
// default sample rate is 44100, bit depth is 16
out = minim.getLineOut(Minim.STEREO, 512);

}

void draw()
{
  amp = random(0., 0.5);
  freq = random(100, 1000);
  sine = new SineWave(freq, amp, SR);
//  noisy = new WhiteNoise(amp/2);
// add sounds to the line out
//out.addSignal(noisy);
out.addSignal(sine);
delay(2000);
out.clearSignals();

}

void stop()
{
// always closes audio I/O classes
out.close();
// always stop your Minim object
minim.stop();

super.stop();
}
