import ddf.minim.*;
import ddf.minim.signals.*;

Tone atone;
Tone btone;
Tone ctone;
Minim minim;
AudioOutput out;
int counter=0;

void setup()
{
  size(512, 200);
  minim = new Minim(this);
  out = minim.getLineOut(Minim.STEREO, 512);
  atone = new Tone(100);
  btone = new Tone(200);
  ctone = new Tone(300);
}

void draw() 
{
  atone.playTones();
  delay(300);
  btone.playTones();
  delay(200);
  ctone.playTones();
  delay(50);
  atone.stopTones();
  delay(300);
  btone.stopTones();
  delay(200);
  ctone.stopTones();
  delay(50);
  ctone.stopTones();

}

void stop()
{
// always closes audio I/O classes
out.close();
// always stop your Minim object
minim.stop();

super.stop();
}
